package org.colinvella.fancyfish.block;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;

public abstract class ModBlock extends Block
{
	public ModBlock(String id, Material material, CreativeTabs creativeTab)
	{
		super(material);

		if (logger == null)
			logger = FancyFishMod.getLogger();
		
		this.id = id;
		setUnlocalizedName(id);
		setCreativeTab(creativeTab);
	}

	public String getId()
	{
		return id;
	}
	
	// block id, also used for unlocalised name
	private String id;
	
	// private logger reference
	protected static ModLogger logger;
}
