package org.colinvella.fancyfish.configuration;

import java.io.File;

import net.minecraftforge.common.config.Configuration;
import net.minecraftforge.common.config.Property;

public class ModConfiguration
{
	public static void load(File configurationFile)
	{
        configuration = new Configuration(configurationFile);

        configuration.load();

        // define / create properties
        debugLoggingProperty = configuration.get(Configuration.CATEGORY_GENERAL, "DebugLogging", false);
        debugLoggingProperty.comment = "Enable debug logging";

        configuration.save();
    }
	
	public static void save()
	{
        configuration.save();
	}
	
	public static Configuration getConfiguration()
	{
		return configuration;
	}
	
	public static boolean getDebugLogging()
	{
        return debugLoggingProperty.getBoolean();
	}

	public static void setDebugLogging(boolean value)
	{
        debugLoggingProperty.set(value);
	}

	private static Configuration configuration;
	private static Property debugLoggingProperty;
}
