package org.colinvella.fancyfish.entity.fish;

import org.colinvella.fancyfish.item.ModItemRegistry;
import org.colinvella.fancyfish.item.FishScaleItem;
import org.colinvella.fancyfish.item.FishScaleItem.Colour;
import org.colinvella.fancyfish.item.CapturedFishItem;

import net.minecraft.client.gui.inventory.CreativeCrafting;
import net.minecraft.entity.EntityAgeable;
import net.minecraft.world.World;

public class BlennyEntity extends FishEntity
{
	public static final String ID = "Blenny";
	
	public static final int PRIMARY_EGG_COLOUR = 0x67E500;
	public static final int SECONDARY_EGG_COLOUR = 0xFCFF7F;
	
	public BlennyEntity(World world)
	{
		super(world, Species.Blenny, 0.2, new FishScaleItem[]{ModItemRegistry.GreenFishScale, ModItemRegistry.YellowFishScale});
	}
	
    @Override
    public EntityAgeable createChild(EntityAgeable ageable)
    {
        return new BlennyEntity(this.worldObj);
    }

	@Override
	public CapturedFishItem getCapturedFishItem()
	{
		return (CapturedFishItem)ModItemRegistry.CapturedBlenny;
	}
}
