package org.colinvella.fancyfish.gui;

import java.util.Random;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.inventory.FishTankContainer;
import org.colinvella.fancyfish.tileentity.FishTankTileEntity;
import org.lwjgl.opengl.GL11;

import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.inventory.IInventory;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public class FishTankGuiContainer extends ModGuiContainer
{
	public FishTankGuiContainer(IInventory playerInventory, FishTankTileEntity fishTankTileEntity)
	{
		super(new FishTankContainer(playerInventory, fishTankTileEntity));
		this.playerInventory = playerInventory;
		this.fishTankTileEntity = fishTankTileEntity;
		inventoryRows = 3;
		this.xSize = 176;
		this.ySize = 172;
		this.random = new Random();
	}

	@Override
    protected void drawGuiContainerForegroundLayer(int mouseX, int mouseY)
    {
        this.fontRendererObj.drawString(this.fishTankTileEntity.getDisplayName().getUnformattedText(), 8, 6, 0x404040);
        this.fontRendererObj.drawString(this.playerInventory.getDisplayName().getUnformattedText(), 8, this.ySize - 96 + 3, 0x404040);
    }
    
	@Override public void initGui()
	{
		super.initGui();
		guiLeft = (this.width - this.xSize) / 2;
		guiTop = (this.height - this.ySize) / 2;
		
        for (int bubbleIndex = 0; bubbleIndex < bubbleX.length; bubbleIndex++)
        {
			bubbleX[bubbleIndex] = guiLeft + 62 + this.random.nextInt(52);
			bubbleY[bubbleIndex] = guiTop + 68 - this.random.nextInt(48);
        }
	};
	
	@Override
	protected void drawGuiContainerBackgroundLayer(float partialTicks, int mouseX, int mouseY)
	{
		GlStateManager.color(1.0F, 1.0F, 1.0F, 1.0F);
        this.mc.getTextureManager().bindTexture(FISH_TANK_GUI_TEXTURE);
        this.drawTexturedModalRect(guiLeft, guiTop, 0, 0, this.xSize, this.ySize);

		GlStateManager.enableBlend();
		GlStateManager.blendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);

        for (int bubbleIndex = 0; bubbleIndex < bubbleX.length; bubbleIndex++)
        {
			bubbleY[bubbleIndex] -= 0.25;
			if (bubbleY[bubbleIndex] < guiTop + 16)
			{
				bubbleX[bubbleIndex] = guiLeft + 62 + this.random.nextInt(52);
				bubbleY[bubbleIndex] = guiTop + 68;
			}

	        this.drawTexturedModalRect(bubbleX[bubbleIndex] + (float)Math.sin(bubbleY[bubbleIndex] * 0.5), bubbleY[bubbleIndex], 176, 0, 2, 2);
        }
		
		GlStateManager.disableBlend();

	}
	
	@Override public void updateScreen()
	{
        super.updateScreen();


	};
	
	private IInventory playerInventory;
	private FishTankTileEntity fishTankTileEntity;
	private int inventoryRows;
	private int guiLeft = 0;
	private int guiTop = 0;
	private float[] bubbleX = new float[4];
	private float[] bubbleY = new float[4];
	private Random random;
	
    private static final ResourceLocation FISH_TANK_GUI_TEXTURE = new ResourceLocation(FancyFishMod.MOD_ID + ":textures/gui/FishTank.png");
}
