package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.block.ModBlockRegistry;

import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishTankRecipe extends ShapedRecipe
{
	public static final String ID = "FishTank";
	
	public FishTankRecipe()
	{
		super(
			ID,
			new ItemStack(ModBlockRegistry.FishTank),
			new String[] {"GKG", "GSG", "GGG"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('G', Item.getItemFromBlock(Blocks.glass_pane));
		legend.put('S', Item.getItemFromBlock(Blocks.sand));		
		legend.put('K', Item.getItemFromBlock(ModBlockRegistry.Kelp));		
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
